Page MenuHomePhabricator

[Regression] Cursor moves to the beginning of the article on mobile VE while adding manual citation
Open, Needs TriagePublic

Description

Steps to replicate:

  1. Open mobile VE for any page.
  2. Place your cursor anywhere in the document.
  3. Tap on the citation option on the toolbar.
  4. Insert a citation.

The cursor moves to the beginning and the citation gets added at that position instead of the position the user intended to add at.

Event Timeline

Ryasmeen created this task.Apr 17 2019, 8:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2019, 8:53 PM
Esanders renamed this task from [Regression] Cursor moves to the beginning of the article on mobile VE while adding citation to [Regression] Cursor moves to the beginning of the article on mobile VE while adding manual citation.Apr 22 2019, 12:32 PM

This appears to only happen with manual citations, not auto or re-use.

Closing the Citoid inspector does the same thing.

Bisect blames https://gerrit.wikimedia.org/r/#/c/VisualEditor/VisualEditor/+/502508/.

Can be tested on core mobile demo using comment inspector.

Change 505633 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Restore re-activation hack

https://gerrit.wikimedia.org/r/505633

Esanders claimed this task.Apr 23 2019, 2:59 PM

Change 505633 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Restore re-activation hack

https://gerrit.wikimedia.org/r/505633

Change 506023 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (ac38ec869)

https://gerrit.wikimedia.org/r/506023

Change 506023 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (ac38ec869)

https://gerrit.wikimedia.org/r/506023

Esanders added a project: Editing QA.
Ryasmeen added a comment.EditedApr 25 2019, 8:47 PM

@Esanders: The original issue is fixed but there are several new cursor issues found while testing this. Let me know if you want me to open separate tickets for each of these:

  1. When I add a new citation at the end of a line, it stays selected and it's impossible to place the cursor after it, so pressing return opens up the citation dialog again instead of going to the next line.
  1. When I am adding a citation it automatically places a new line after that. Splitting the line of a text.
  1. When I add a new citation before opening up the citation panel, it shows a weird placeholder in that position momentarily. Previously it used to show the reference note itself (number inside []), now I'm seeing three dots inside a bracket [..]. Is this expected?

3 is expected, it shows the citation is not finished yet. 1&2 should be filed as bugs.

The questions have been addressed, so moving back to PO review.

JTannerWMF edited projects, added Skipped QA; removed Editing QA.Thu, May 23, 6:10 PM